# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)

Gem::Specification.new do |spec|
  spec.name          = 'tmapi'
  spec.version       = '0.0.3'
  spec.authors       = ['Rinat Garifullin']
  spec.email         = ['ringarifullin@gmail.com']

  spec.summary       = 'Wrapper for TaxiMaster API (TMAPI)'
  spec.description   = 'Wrapper for TaxiMaster HTTP API http://taxi-master.com/'
  spec.homepage      = 'https://github.com/rgarifullin/tmapi'
  spec.license       = 'MIT'

  spec.files = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.add_development_dependency 'bundler', '~> 1.13'
  spec.add_development_dependency 'rake', '~> 10.0'
  spec.add_development_dependency 'minitest', '~> 5.0'
  spec.add_development_dependency 'minitest-reporters', '~> 1.1'
  spec.add_development_dependency 'webmock', '~> 2.3'
  spec.add_development_dependency 'rubocop', '~> 0'
end
